/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       alejandrogdy
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/*SPACING*/
#content {
/*	padding: 0;*/
}

.margin-block-30 {
	margin-block: 30px;
}

.margin-block-45 {
	margin-block: 45px;
}

.margin-block-60 {
	margin-block: 60px;
}

.margin-block-90 {
	margin-block: 90px;
}

figcaption {
	margin-block: 15px;
	padding-inline: 10%;
	font-size: 14px;
	text-align: center;
	color: var(--contrast-2);
}

/*COLORS*/
body {
	background: #fff;
}



/* ======================== TYPOGRAPHY ======================== */
h3 {
	text-transform: uppercase;
	font-size: 27px;
}


/* ======================== UTILITY CLASSES ======================== */
.title_upper-borderbot {
	margin-top: 60px;
	border-bottom: 2px solid var(--contrast);
}

.border-radius-30px, .border-radius-30px img, .border-radius-30px video {
	border-radius: 30px;
	overflow: hidden;
}


.margin-none {
	margin: 0;
}

.link-noline-normalcolors, .link-noline-normalcolors a {
	text-decoration: none;
	color: var(--contrast);
}


.container-full__ext {
	padding-inline: 18px;
	padding-block: 18px;
}




/*quick*/
.one-container .inside-article>.featured-image {
	text-align: center;
}

.type-post {
	margin-top: 75px;
}

.post .featured-image img {
	max-width: 390px;
}

















/* ======================== ELEMENTS ======================== */

/*SITE MENU*/
#site-navigation .menu-item a, .site-menu {
	font-family: var(--gp-font--crimson-text);
	text-transform: uppercase;
	font-size: 16px;
}

.main-navigation .inside-navigation {
	max-width: initial;
}

.main-navigation .main-nav ul li[class*="current-menu-"] > a {
/*	color: var(--accent-2);*/
}

/* Hover general */
.custom-header__nav nav a:hover {
/*	color: var(--accent-2)!important;*/
}

/* Página activa */
.custom-header__nav .current-menu-item > a,
.custom-header__nav .current-menu-ancestor > a {
	text-decoration: underline;
}

/* Submenús */
.custom-header__nav .sub-menu a:hover {
  background-color: rgba(0,0,0,0.05);
}

.site-menu ul li {
	margin-right: 18px;
}

.main-navigation.sub-menu-left .sub-menu {
	border-radius: 18px;
}

.main-navigation ul ul {
	background-color: rgba(0,0,0,0.9);
}

.main-navigation .main-nav ul ul li a {
	padding: 18px 21px 18px 36px!important;
}

#menu-item-869-sub-menu {
	background-color: var(--contrast-2);
	position: absolute;
	top: 45px;
	left: 150px;
}

#menu-item-22-sub-menu, #menu-item-869-sub-menu {
	transition: opacity 250ms ease-in-out, visibility 250ms ease-in-out;
}

.karate-sub-menu-custom ul.sub-menu {
	background-color: var(--contrast-3)!important;
}

.karate-sub-menu-custom ul.sub-menu a {
	color: var(--contrast)!important;
}

/*Mobile header*/
#mobile-header {
	padding-top: 12px;
}

/* Mobile menu */
.site-logo.mobile-header-logo {
	display: flex;
	align-items: center;
	order: 0;
/*	margin-right: 10px;*/
/*	margin-top: 9px;*/
	justify-content: center;
	width: 100%;
}

.menu-toggle {
	font-size: 18px;
}

.site-logo.mobile-header-logo a img {
	height: 90px;
}

/*Toggle button*/
@media (max-width: 1240px) {
	#mobile-header.toggled .main-nav > ul, #mobile-header .menu-toggle, #mobile-header .mobile-bar-items {
		display: flex;
		align-items: center;
		width: 100%;
		justify-content: center;
		line-height: 24px;
	}
}

/*SITE TAGLINE*/
.site-tagline {
	padding: 0;
	margin: 0;
	font-size: 18px;
	font-family: var(--gp-font--crimson-text);
}

/*SITE MAIN CONTAINER*/
#main {
	margin-top: 60px;
}

@media (max-width: 1240px) {
	#main {
		margin-top: 21px;
	}
}

/*ENTRY TITLE (H1)*/
.element-page__title {
	margin-bottom: 0;
}

.element-page__title-container {
	margin-bottom: 60px;
}

@media (max-width: 1240px) {
	.element-page__title {
		font-size: 33px!important;
	}
}

.entry-title {
	margin-bottom: 45px;
	text-align: center;
	border: 2px solid var(--contrast);
	padding: 12px;
	background-color: var(--base-2);
	font-size: 45px;
}

/*FOOTER*/
.copyright-bar {
	width: 100vw;
	background-color: var(--contrast);
	color: var(--base-3);
}

.site-footer {
	margin-top: 90px;
	padding-top: 30px;
	background-color: var(--contrast);
}

.site-footer-container_logo {
	background-color: var(--contrast);
}

.site-footer-sitemap__container {

}

.site-footer .wp-block-pages-list__item__link, .site-footer a {
	text-decoration: none;
}

.site-footer li a, .site-footer a {
	color: #ffffff;
	text-decoration: none!important;
}

.site-footer__page-list li a, .site-footer__page-list li a:hover, .site-footer__page-list li a:focus, .site-footer__page-list li a:active {
	color: var(--base-3);
}

ul.site-footer__page-list {
	margin-left: 0;
}


#site-footer__line {
	width: 80%;
	border-top: 1px;
	background-color: var(--contrast-2);
	margin-top: 0;
	margin-bottom: 10px;
}

/*SLIDERS*/
/* superblockslider general */
.superblockslider__slide_inner {
	padding: 0;
}

.superblockslider .inner-blocks {
	overflow: hidden;
}

.superblockslider.slider-karatekas_imgs {
	margin-top: 60px;
}

.superblockslider.slider-karatekas_imgs .inner-blocks {
	border-radius: 45px;
}

.slider-container-inline {
	margin-block: 45px;
}

/*SIMPLE POPUP*/
.simple-popup {
	z-index: 100;
}

.simple-popup__main {
	width: 80%!important;
	max-width: 725px;
}

/*BOTONES*/
.button-general {
	font-family: var(--gp-font--open-sans);
	text-transform: uppercase;
	font-size: 18px;
	font-weight: 700;
	border-radius: 60px;
	box-shadow: 3px 3px 12px rgba(0,0,0,0.27);
	cursor: pointer;
	background-color: var(--contrast)!important;
	color: #fff;
	padding: 21px 45px;
	text-align: center;
}

.button-general a {
	color: #fff;
	text-decoration: none;
}

.button-general:hover {
	background-color: #262626!important;
}

/*GOOGLE MAP*/
.google-map__container {
    border-radius: 21px;
    height: 450px;
    overflow: hidden;
    box-shadow: 3px 3px 6px rgba(0,0,0,0.15);
}









































